import * as React from 'react';

export interface FeedItemHeadingProps {
	children?: React.ReactNode;
}

export const FeedItemHeading: React.FC<FeedItemHeadingProps> = ({
	children,
}) => (
	<span className="block pb-[35%] sm:pb-[50%] relative">
    <span className="absolute top-0 left-0 w-full h-full block">
      <span
				className="block text-2xl leading-none h-full w-full relative px-2 py-2.5 rounded before:pointer-events-none before:rounded-inherit before:border-2 before:absolute before:top-0 before:left-0 before:w-full before:h-full"
			>
        {children}
      </span>
    </span>
  </span>
);
